Bug 131701 - Can't login to X because dbus policy incorrect/incomplete
Can't login to X because dbus policy incorrect/incomplete
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC3Target FC3BugWeekQA
  Show dependency treegraph
 
Reported: 2004-09-03 07:47 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 13:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-09-03 07:47:36 EDT
selinux-policy-strict-1.17.8-2

Login to X fails on dbus errors.

Sep  3 12:34:35 k6-joy dbus: avc:  denied  { send_msg } for 
scontext=system_u:system_r:initrc_t tcontext=system_u:system_r:dbusd_t
tclass=dbus 
Sep  3 12:34:35 k6-joy cups-config-daemon: 
Sep  3 12:34:36 k6-joy cups-config-daemon: ** (process:1922): WARNING
**: DbusConfigDaemon: An SELinux policy prevents this sender from
sending this message to this recipient (rejected message had interface
"org.freedesktop.DBus" member "Hello" error name "(unset)" destination
"org.freedesktop.DBus")
Sep  3 12:34:36 k6-joy cups-config-daemon: cups-config-daemon startup
succeeded
<snip>
Sep  3 12:34:47 k6-joy dbus: avc:  denied  { send_msg } for 
scontext=system_u:system_r:initrc_t tcontext=system_u:system_r:dbusd_t
tclass=dbus 
Sep  3 12:35:17 k6-joy last message repeated 6 times
Sep  3 12:35:18 k6-joy gdm(pam_unix)[2276]: session opened for user
leonard by (uid=0)
Sep  3 12:35:21 k6-joy kernel: audit(1094207721.614:0):
security_compute_sid:  invalid context user_u:user_r:dbusd_t for
scontext=user_u:user_r:user_t tcontext=system_u:object_r:dbusd_exec_t
tclass=process
Sep  3 12:35:22 k6-joy dbus: avc:  denied  { send_msg } for 
scontext=system_u:system_r:initrc_t tcontext=system_u:system_r:dbusd_t
tclass=dbus 
Sep  3 12:35:27 k6-joy dbus: avc:  denied  { send_msg } for 
scontext=system_u:system_r:initrc_t tcontext=system_u:system_r:dbusd_t
tclass=dbus 
Sep  3 12:35:28 k6-joy gdm(pam_unix)[2276]: session closed for user
leonard

Also compare attachment 103430 [details] which is attached to bug 130992.
Comment 1 Daniel Walsh 2004-09-09 14:00:21 EDT
selinux-policy-1.17.11-2 fixes a lot of problems with dbus.  Please
try it out.
Comment 2 Daniel Walsh 2005-02-09 13:55:34 EST
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.